---
title: CSSImageValue
slug: Web/API/CSSImageValue
tags:
  - API
  - CSS Typed Object Model API
  - CSSImageValue
  - Experimental
  - Houdini
  - Interface
  - Reference
---
<div>{{SeeCompatTable}}{{APIRef("CSS Typed Object Model API")}}</div>

<p><span class="seoSummary">The <strong><code>CSSImageValue</code></strong> interface of the <a href="/docs/Web/API/CSS_Typed_Object_Model_API">CSS Typed Object Model API</a> represents values for properties that take an image, for example {{cssxref('background-image')}}, {{cssxref('list-style-image')}}, or {{cssxref('border-image-source')}}. The</span> CSSImageValue object represents an <code><a href="/en-US/docs/Web/CSS/image">&lt;image&gt;</a></code> that involves an URL, such as <code><a href="/en-US/docs/Web/CSS/url()">url()</a></code> or <code><a href="/en-US/docs/Web/CSS/imagefunction">image()</a></code>, but not <code><a href="/en-US/docs/Web/CSS/linear-gradient">linear-gradient() </a></code>or <code><a href="/en-US/docs/Web/CSS/element">element()</a></code> .</p>

<h2 id="Properties">Properties</h2>

<p>None.</p>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<p>We create an element</p>

<pre class="brush: html">&lt;button&gt;Magic Wand&lt;/button&gt;</pre>

<p>We add some CSS, including a background image requesting a binary file:</p>

<pre class="brush: css">button {
  display: inline-block;
  min-height: 100px; min-width: 100px;
  background: no-repeat 5% center url(https://mdn.mozillademos.org/files/16793/magicwand.png) aqua;
}</pre>

<p>We get the element's style map. We then get() the background-image from the stylemap and stringify it:</p>

<pre class="brush: js">// get the element
const button = document.querySelector( 'button' );

// Retrieve all computed styles with computedStyleMap()
const allComputedStyles = button.computedStyleMap();

// Return the CSSImageValue Example
console.log( allComputedStyles.get('background-image') );
console.log( allComputedStyles.get('background-image').toString() );
</pre>

<p>{{EmbedLiveSample("Examples", 120, 300)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#imagevalue-objects','CSSImageValue')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSImageValue")}}</p>

<h2 id="See_Also">See Also</h2>

<ul>
 <li>{{domxref('CSSKeywordValue')}}</li>
 <li>{{domxref('CSSNumericValue')}}</li>
 <li>{{domxref('CSSPositionValue')}}</li>
 <li>{{domxref('CSSTransformValue')}}</li>
 <li>{{domxref('CSSUnparsedValue')}}</li>
</ul>
